<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
require_once(__DIR__.'/phpmailer/autoload.php');

class email{
  function __construct($host,$port,$username,$password,$sender=false){
    $this->mail= new \PHPMailer\PHPMailer\PHPMailer();                                                  //建立新物件 
    $this->mail->IsSMTP();                                                          //設定使用SMTP方式寄信 
    $this->mail->SMTPAuth = true;                                                   //設定SMTP需要驗證 
    $this->mail->SMTPDebug=0;                               
    if($host===true || $host==="smtp.gmail.com"){                               
      $this->mail->SMTPSecure = "ssl";                                              // Gmail的SMTP主機需要使用SSL連線    
      $this->mail->Host =       "smtp.gmail.com";                                   //SMTP主機   
      $this->mail->Port =       465;                                                //Gamil的SMTP主機的SMTP埠位為465埠。
    }                               
    else{                               
      $this->mail->Host =       $host;                                              //SMTP 主機   
      $this->mail->Port =       $port;                                              //SMTP Port
    }                         
    $this->mail->Username = $username;                                              //設定驗證帳號
    $this->mail->Password = $password;                                              //設定驗證密碼
    $this->mail->From =     $username;                                              //設定寄件者信箱 
                              
                              
    if($sender===false)                         
      $sender=$username;                          
                              
    $this->mail->CharSet = "UTF-8";                                                 //設定郵件編碼
    $this->mail->FromName = $sender;                                                //設定寄件者姓名
  }
  function send($username,$usermail,$title,$body,$filename=null,$filepath=null){
    $this->mail->ClearAddresses();
    $this->mail->ClearCCs();
    $this->mail->ClearBCCs();
    $this->mail->ClearReplyTos();
    $this->mail->ClearAllRecipients();
    $this->mail->ClearAttachments();
    $this->mail->ClearCustomHeaders();
    
    $this->mail->Subject = $title;                                                  //設定郵件標題 
    $this->mail->Body = $body;                          
    $this->mail->IsHTML(true);                                                      //設定郵件內容為HTML
    if(is_array($usermail)){
      foreach ($usermail as $index=> $this->mailAddressString){
        if(strlen($this->mailAddressString)>0 && isset($username[$index]))
          $this->mail->AddAddress($this->mailAddressString, $username[$index]);     //設定收件者郵件及名稱
      }
    }
    else{
      $this->mail->AddAddress($usermail, $username);                                //設定收件者郵件及名稱
    }
    //附件檔
    if(isset($filepath) && isset($filename)){
      if(file_exists($filepath) && !is_dir($filepath))
        $this->mail->AddAttachment($filepath,$filename);
    }
    
    if(!$this->mail->Send()){
      echo "Message was not sent \n";
      echo "Mailer Error: {$this->mail->ErrorInfo}\n";
      return false;
    }
    return true;
  }
};
