# 安裝nodejs
```console
sudo -i
NODE_VERSION=v6.14.1
wget http://nodejs.org/dist/$NODE_VERSION/node-$NODE_VERSION-linux-armv6l.tar.gz  && \
tar -xzf node-$NODE_VERSION-linux-armv6l.tar.gz && \
mv node-$NODE_VERSION-linux-armv6l nodejs  && \
rm node-$NODE_VERSION-linux-armv6l.tar.gz && \
rm -r -f /usr/local/nodejs && \
cp -R * /usr/local/ && \
rm -r -f nodejs
ln -s /usr/local/nodejs/bin/node /usr/bin/node
ln -s /usr/local/nodejs/bin/npm /usr/bin/npm
npm install -g npm
```

# 安裝
```console
docker pull dkr.tw/cbsiot-env
docker pull dkr.tw/cbsiot-npm
docker pull dkr.tw/cbsiot-client

mkdir -p /data/cbsiot
cd /data/cbsiot
curl -sS https://git.slanla.com/cbs_iot/client/raw/master/script/install.sh | sudo bash /dev/stdin
```

# 解除安裝
```console
cd /data/cbsiot
sudo bash uninstall.sh && cd ..
```