#!/bin/bash
# curl -sS https://git.slanla.com/cbs_iot/client/raw/master/script/install.sh | sudo bash /dev/stdin

if ! [ $(id -u) = 0 ]; then echo "Please run this script as sudo or root"; exit 1 ; fi

export GIT_URL=https://git.slanla.com/cbs_iot/client

curl -sS ${GIT_URL}/raw/master/script/update.sh | bash

bash init.sh 2

#刪除/etc/rc.local項目
tmp=$(mktemp) && cat /etc/rc.local | grep -v "#${GIT_URL}" | tee $tmp >/dev/null && cp $tmp /etc/rc.local && rm $tmp
#新增/etc/rc.local項目
sudo sed -i -e '$i \sudo -i -u '"$SUDO_USER"' sudo bash '"$PWD"'/init.sh 1 >> '"$PWD"'/boot.log #'"$GIT_URL"'' /etc/rc.local

#刪除crontab項目
crontab -l | grep -v "#${GIT_URL}" | crontab -
#新增crontab項目
crontab -l | { cat; echo "*       *       *       *       *       sudo -i -u $SUDO_USER sudo bash $PWD/init.sh 0  >> $PWD/update.log #${GIT_URL}"; } | crontab -
