module.exports = function(obj){
  var gpio = require('rpi-gpio');
  
  var pin33=33;
  var pin37=37;
  
  var init33=false;
  var init37=false;
  
  var value33=false;
  var value37=false;
  
  function init_33(){
    gpio.setup(pin33, gpio.DIR_OUT,function(err){
      if(err){
        console.log('gpio error 33',err);
        init_33();
      }
      else
        init33=true;
    });
  }
  function init_37(){
    gpio.setup(pin37, gpio.DIR_OUT,function(err){
      if(err){
        console.log('gpio error 37',err);
        init_37();
      }
      else
        init37=true;
    });
  }
  function beep(){
    var time=500;
    if(init33) gpio.write(pin33, value33);
    if(init37) gpio.write(pin37, value37);
    setTimeout(function(){
      if(init33) gpio.write(pin33, false);
      if(init37) gpio.write(pin37, false);
    },time);
    
    setTimeout(function(){
      beep();
    },time*2);
  };
  
  init_33();
  init_37();
  
  setTimeout(function(){
    beep();
  },2000);
  
  //this.set33=function(value){ value33=value; };
  //this.set37=function(value){ value37=value; };
  
  this.setStatus=function(value){
    value33=value;
  }
  this.alert=function(){
    value37=true;
    setTimeout(function(){
      value37=false;
    },10000);
  };
};