const moment = require('moment');
const execPhp = require('exec-php');
const querystring = require('querystring');
const http = require('http');

module.exports = {
  send: function(type,text,hostname,version){
    try {
      console.log('['+type+']',text);
      var time=moment().format('YYYY-MM-DDTHH:mm:ss.SSSZZ').toString();
        
      var data={
        'project': '示警盒子',
        'hostname': process.env.HOST_HOSTNAME || hostname,
        'version': process.env.CVERSION || version,
        'time':time,
        'type': type,
        'text': text,
      };
      
      if(1){
        execPhp(__dirname+'/php/functions.php', function(error, php, outprint){
          php.post("http://msg.dkr.tw/data",data);
        });
      }
      else{
        var post_data=querystring.stringify(data);
        var post_options = {
          host: 'msg.dkr.tw',
          port: '80',
          path: '/data',
          method: 'POST',
          headers: {
              'Content-Type': 'application/x-www-form-urlencoded',
              'Content-Length': Buffer.byteLength(post_data)
          }
        };
      
        var post_req = http.request(post_options, function(res) {
          res.setEncoding('utf8');
          res.on('data', function (chunk) {
            //console.log('Response: ' + chunk);
          });
        });
        post_req.write(post_data);
        post_req.end();
        //console.log('[POST]',time,text,post_data);
      }
    } catch (e) {
      
    }
  }
};