#!/bin/bash
__ROOT__=$(dirname $(realpath $0))
cd $__ROOT__
. config.txt 2>/dev/null
if ! [ $(id -u) = 0 ]; then echo "Please run this script as sudo or root"; exit 1 ; fi
#############################################

#停止先前的container
docker stop $(docker ps | grep cbsiot- | awk '{print $1}') >/dev/null 2>&1

#刪除所有 cbs 相關的 container
docker rm -f $(docker ps -a | grep cbsiot- | awk '{print $1}') >/dev/null 2>&1

#############################################
#刪除/etc/rc.local項目
tmp=$(mktemp) && cat /etc/rc.local | grep -v "#${GIT_URL}" | tee $tmp >/dev/null && cp $tmp /etc/rc.local && rm $tmp
#刪除crontab項目
crontab -l | grep -v "#${GIT_URL}" | crontab -

#刪除資料夾
cd ..
rm -r -f $__ROOT__ 
echo "All files are deleted!"
