#!/bin/bash
__ROOT__=$(dirname $(realpath $0))
cd $__ROOT__
. config.txt 2>/dev/null

echo "GIT_URL: {$GIT_URL}"

#############################################
curl -sS ${GIT_URL}/raw/master/script/config.txt > config.txt
curl -sS ${GIT_URL}/raw/master/script/init.sh > init.sh
curl -sS ${GIT_URL}/raw/master/script/update.sh > update.sh
curl -sS ${GIT_URL}/raw/master/script/start.sh > start.sh
curl -sS ${GIT_URL}/raw/master/script/uninstall.sh > uninstall.sh
chmod +x *.sh
#############################################

echo "下載nodejs-geolocation相關檔案"
mkdir -p nodejs/geolocation
curl -sS ${GIT_URL}/raw/master/script/nodejs/geolocation/start.sh > nodejs/geolocation/start.sh
curl -sS ${GIT_URL}/raw/master/script/nodejs/geolocation/install.sh > nodejs/geolocation/install.sh
curl -sS ${GIT_URL}/raw/master/script/nodejs/geolocation/main.js > nodejs/geolocation/main.js
curl -sS ${GIT_URL}/raw/master/script/nodejs/geolocation/package.json > nodejs/geolocation/package.json
curl -sS ${GIT_URL}/raw/master/docker/src/src/log.js > nodejs/geolocation/log.js
mkdir nodejs/geolocation/php
curl -sS ${GIT_URL}/raw/master/docker/src/src/php/functions.php > nodejs/geolocation/php/functions.php
chmod +x nodejs/geolocation/*.sh

echo "pishutdown"
mkdir -p python
curl -sS ${GIT_URL}/raw/master/script/python/pishutdown.py > python/pishutdown.py

#############################################

echo "刪除image"
#docker rmi -f dkr.tw/cbsiot-env >/dev/null 2>&1
#docker rmi -f dkr.tw/cbsiot-npm >/dev/null 2>&1
docker rmi -f dkr.tw/cbsiot-client >/dev/null 2>&1

echo "取得image"
sudo -i -u $SUDO_USER docker pull dkr.tw/cbsiot-env >/dev/null 2>&1
sudo -i -u $SUDO_USER docker pull dkr.tw/cbsiot-npm >/dev/null 2>&1
sudo -i -u $SUDO_USER docker pull dkr.tw/cbsiot-client >/dev/null 2>&1

echo "^^^^^^^^^^^^^^^^^^^^^^^^^^^^^"